On this page
No Headings
Deprecation notice: TheCaptures and processes an authorization, by ID. The original payment call must specify an intent of/v1/paymentsendpoint is deprecated. Use the/v2/paymentsendpoint instead. For details, see PayPal Checkout Basic Integration.
authorize.Oauth 2.0 authentication
In: header
Scope: https://api.paypal.com/v1/payments/.*
The ID of the authorization to re-authorize.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v1/payments/authorization/string/capture" \ -H "Content-Type: application/json" \ -d '{ "amount": { "currency": "USD", "total": "4.54" }, "is_final_capture": true }'{
"id": "string",
"amount": {
"currency": "string",
"total": "string",
"details": {
"subtotal": "string",
"shipping": "string",
"tax": "string",
"handling_fee": "string",
"shipping_discount": "string",
"insurance": "string",
"gift_wrap": "string"
}
},
"is_final_capture": false,
"state": "pending",
"reason_code": "CHARGEBACK",
"parent_payment": "string",
"invoice_number": "string",
"transaction_fee": {
"currency": "string",
"value": "string"
},
"transaction_fee_in_receivable_currency": {
"currency": "string",
"value": "string"
},
"receivable_amount": {
"currency": "string",
"value": "string"
},
"exchange_rate": "string",
"note_to_payer": "string",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"information_link": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "body",
"issue": "string",
"description": "string"
}
],
"links": [
{
"href": "string",
"rel": "string",
"method": "GET"
}
]
}The amount to capture. If the amount matches the originally authorized amount, the state of the authorization changes to captured. Otherwise, the state changes to partially_captured.
Indicates whether to release all remaining held funds.
falseThe invoice number to track this payment.
length <= 127A free-form field that clients can use to send a note to the payer.
length <= 255